Main Page | Data Structures | Directories | File List | Data Fields | Globals

# mm_open.c File Reference

## Detailed Description

Contains general code to open media management systems.

`#include "mm_tools.h"`

## Functions
TSK_MM_INFO * | tsk_mm_open (TSK_IMG_INFO *img_info, DADDR_T offset, const TSK_TCHAR *type)
| Open a disk image and process the media management system data.

## Function Documentation

TSK_MM_INFO* tsk_mm_open | ( | TSK_IMG_INFO * | img_info,
|  | DADDR_T | offset,
|  | const TSK_TCHAR * | type
| ) |

  | Open a disk image and process the media management system data. This calls MM specific code to determine the type and collect data. Parameters:
  | img_info | The opened disk image.
  | offset | Byte offset in the disk image to start analyzing from.
  | type | String name of type specified by user (autodetect is used if this is NULL).
Returns: NULL on error.